com::lomiri::location::service::Interface::Properties::ClientApplications Struct Reference

`#include <interface.h>`

Collaboration diagram for com::lomiri::location::service::Interface::Properties::ClientApplications:

## Public Types

typedef com::lomiri::location::service::Interface | Interface
typedef std::vector< std::string > | ValueType

## Static Public Member Functions

static const std::string & | name ()

## Static Public Attributes

static const bool | readable = true
static const bool | writable = false

## Detailed Description

Definition at line 178 of file service/interface.h.

## Member Typedef Documentation

## Interface

typedef com::lomiri::location::service::Interface com::lomiri::location::service::Interface::Properties::ClientApplications::Interface

Definition at line 189 of file service/interface.h.

## ValueType

typedef std::vector<std::string> com::lomiri::location::service::Interface::Properties::ClientApplications::ValueType

Definition at line 190 of file service/interface.h.

## Member Function Documentation

## name()

const std::string & com::lomiri::location::service::Interface::Properties::ClientApplications::name | ( |  | ) |

inline static

Definition at line 180 of file service/interface.h.

## Member Data Documentation

## readable

const bool com::lomiri::location::service::Interface::Properties::ClientApplications::readable = true

static

Definition at line 191 of file service/interface.h.

## writable

const bool com::lomiri::location::service::Interface::Properties::ClientApplications::writable = false

static

Definition at line 192 of file service/interface.h.

The documentation for this struct was generated from the following file:

- service/interface.h